<template>
	<div class="cg-shop-filter-main">
                      <div class="cg-shop-filter-wrap d-flex flex-column">

                        <div class="cg-shop-filter-root add-btm-mdm">
                          <h4 class="font1 f12 second w600">All Items / <span class="cg-category-fonts">Fonts</span></h4>
                        </div>


                        <div class="cg-shop-filter-sort add-btm-mdm">
                          <label class="f13 w600 grey">Sort by</label>
                          <select id="cg-shop-sortby" class="w500 f13" v-model="sort_by">
                            <option value="popular" selected >Popular</option>
                            <option value="price_low">Price Lowest</option>
                            <option value="price_high">Price Highest</option>
                            <option value="new_arrival">New Arrivals</option>
                          </select>
                        </div>

                        <div class="cg-shop-filter-categories add-btm-xl">
                          <h2 class="font1 f14 grey w600 cg-section-sml-heading">Categories</h2>
                          <ul>
                            <li class="d-flex align-items-center" v-for="product_sub_category in product_sub_categories_">
                                <input type="checkbox" id="serif" name="product_sub_category_ids[]" v-model="product_sub_category_ids" :value="product_sub_category.id">
                                <span class="add-left-mdm font1 second f13 w600">{{ product_sub_category.name }}</span>
                            </li>
                               </ul>
                        </div>


                        <div class="cg-shop-filter-rating">
                          <h2 class="font1 f14 grey w600 cg-section-sml-heading">Product Rating</h2>
                          <!-- <div class="cg-product-star-rating">
                             <i class="f13 theme fa fa-star"></i>
                              <i class="f13 theme fa fa-star"></i>
                              <i class="f13 theme fa fa-star"></i>
                              <i class="f13 theme fa fa-star"></i>
                              <i class="f13 theme fa fa-star"></i>
                          </div> -->
                             <input type="radio" name="stars" v-model="star_rating"value="0" id="star-null" hidden="">
                            <input type="radio" name="stars" v-model="star_rating" value="1" id="star-1" hidden="">
                            <input type="radio" name="stars" v-model="star_rating" value="2" id="star-2" hidden="">
                            <input type="radio" name="stars" v-model="star_rating" value="3" id="star-3" checked hidden="">
                            <input type="radio" name="stars" v-model="star_rating" value="4" id="star-4" hidden="">
                            <input type="radio" name="stars" v-model="star_rating" value="5" id="star-5" hidden="">

                            <div class="strwrap">
                                <label for="star-1">
                                 <svg width="255" height="240" viewBox="0 0 51 48">
                                 <path d="m25,1 6,17h18l-14,11 5,17-15-10-15,10 5-17-14-11h18z"/>
                                 </svg>
                                </label>
                                <label for="star-2">
                                 <svg width="255" height="240" viewBox="0 0 51 48">
                                 <path d="m25,1 6,17h18l-14,11 5,17-15-10-15,10 5-17-14-11h18z"/>
                                 </svg>
                                </label>
                                <label for="star-3">
                                 <svg width="255" height="240" viewBox="0 0 51 48">
                                 <path d="m25,1 6,17h18l-14,11 5,17-15-10-15,10 5-17-14-11h18z"/>
                                 </svg>
                                </label>
                                <label for="star-4">
                                 <svg width="255" height="240" viewBox="0 0 51 48">
                                 <path d="m25,1 6,17h18l-14,11 5,17-15-10-15,10 5-17-14-11h18z"/>
                                 </svg>
                                </label>
                                <label for="star-5">
                                 <svg width="255" height="240" viewBox="0 0 51 48">
                                 <path d="m25,1 6,17h18l-14,11 5,17-15-10-15,10 5-17-14-11h18z"/>
                                 </svg>
                                </label>
                                <label for="star-null"> Clear </label>
                            </div>
                          <div>

                          </div>
                        </div>
                      </div>
                    </div>
</template>

<script>

    export default {
        props: ['category_slug', 'sub_category_slug','product_sub_categories', 'sub_category_id'],
        data() {
            return {
                product_sub_categories_ : JSON.parse(this.product_sub_categories),
                category_slug_ : this.category_slug,
                sub_category_slug_ : this.sub_category_slug,
                star_rating : '',
                sort_by : 'popular',
                product_sub_category_ids : [this.sub_category_id],
                pagination: {
                    'current_page': 1
                },


            }
        },

        methods: {

        },
        mounted() {

            console.log(this.category_slug)
        }
    }
</script>
